osgUtil::IntersectorGroup Class Reference

`#include <IntersectionVisitor>`

Inheritance diagram for osgUtil::IntersectorGroup:

## Public Types

typedef std::vector< osg::ref_ptr< Intersector > > | Intersectors
Public Types inherited from osgUtil::Intersector
enum | CoordinateFrame { WINDOW , PROJECTION , VIEW , MODEL }
enum | IntersectionLimit { NO_LIMIT , LIMIT_ONE_PER_DRAWABLE , LIMIT_ONE , LIMIT_NEAREST }
enum | PrecisionHint { USE_DOUBLE_CALCULATIONS , USE_FLOAT_CALCULATIONS }

## Public Member Functions

| IntersectorGroup ()
void | addIntersector (Intersector *intersector)
Intersectors & | getIntersectors ()
void | clear ()
virtual Intersector * | clone (osgUtil::IntersectionVisitor &iv)
virtual bool | enter (const osg::Node &node)
virtual void | leave ()
virtual void | intersect (osgUtil::IntersectionVisitor &iv, osg::Drawable *drawable)
virtual void | reset ()
virtual bool | containsIntersections ()
Public Member Functions inherited from osgUtil::Intersector
| Intersector (CoordinateFrame cf=MODEL, IntersectionLimit il=NO_LIMIT)
void | setCoordinateFrame (CoordinateFrame cf)
CoordinateFrame | getCoordinateFrame () const
void | setIntersectionLimit (IntersectionLimit limit)
IntersectionLimit | getIntersectionLimit () const
bool | disabled () const
void | incrementDisabledCount ()
void | decrementDisabledCount ()
bool | reachedLimit ()
void | setPrecisionHint (PrecisionHint hint)
PrecisionHint | getPrecisionHint () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

Intersectors | _intersectors
Protected Attributes inherited from osgUtil::Intersector
CoordinateFrame | _coordinateFrame
IntersectionLimit | _intersectionLimit
unsigned int | _disabledCount
PrecisionHint | _precisionHint
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Detailed Description

Concrete class for passing multiple intersectors through the scene graph. To be used in conjunction with IntersectionVisitor.

## Member Typedef Documentation

## Intersectors

typedef std::vector< osg::ref_ptr<Intersector> > osgUtil::IntersectorGroup::Intersectors

## Constructor & Destructor Documentation

## IntersectorGroup()

osgUtil::IntersectorGroup::IntersectorGroup | ( |  | ) |

## Member Function Documentation

## addIntersector()

void osgUtil::IntersectorGroup::addIntersector | ( | Intersector * | intersector | ) |

Add an Intersector.

References osgUtil::Intersector::Intersector().

## clear()

void osgUtil::IntersectorGroup::clear | ( |  | ) |

Clear the list of intersectors.

## clone()

virtual Intersector * osgUtil::IntersectorGroup::clone | ( | osgUtil::IntersectionVisitor & | iv | ) |

virtual

Implements osgUtil::Intersector.

References osgUtil::Intersector::Intersector().

## containsIntersections()

virtual bool osgUtil::IntersectorGroup::containsIntersections | ( |  | ) |

virtual

Implements osgUtil::Intersector.

## enter()

virtual bool osgUtil::IntersectorGroup::enter | ( | const osg::Node & | node | ) |

virtual

Implements osgUtil::Intersector.

## getIntersectors()

Intersectors & osgUtil::IntersectorGroup::getIntersectors | ( |  | ) |

inline

Get the list of intersector.

References _intersectors.

## intersect()

virtual void osgUtil::IntersectorGroup::intersect | ( | osgUtil::IntersectionVisitor & | iv,
|  | osg::Drawable * | drawable )

virtual

Implements osgUtil::Intersector.

## leave()

virtual void osgUtil::IntersectorGroup::leave | ( |  | ) |

virtual

Implements osgUtil::Intersector.

## reset()

virtual void osgUtil::IntersectorGroup::reset | ( |  | ) |

virtual

Reimplemented from osgUtil::Intersector.

## Member Data Documentation

## _intersectors

Intersectors osgUtil::IntersectorGroup::_intersectors

protected

Referenced by getIntersectors().

The documentation for this class was generated from the following file:

- IntersectionVisitor